import React, { Component } from 'react';
import './css/NavigationDrawer.css';

import globalData from '../GlobalData.js';
import DisruptionButton from "./DisruptionButton.js";

import userIcon from '../img/user.svg';


class NavigationDrawer extends Component {
    state = {
        open: false
    };

    toggle = () => {
        if (this.state.open)
            this.close();
        else
            this.open();
    };

    open = () => {
        this.setState({
            open: true
        });
    };

    close = () => {
        this.setState({
            open: false
        });
    };

    render() {
        return (
            <>
                <div id="navDrawer" className={`${this.state.open ? "open" : ""}`}>
                    <header>
                        <img src={userIcon} alt="" />
                        <span>{globalData.user.name}</span>
                        <span>example@gmail.com</span>
                    </header>
                    <div id="navList">
                        <DisruptionButton />
                    </div>
                    <hr />
                    <span id="version">Projektgrupp 3 - Utmaning 7</span>
                </div>
                <div id="clickArea" className={`${this.state.open ? "" : "hidden"}`} onClick={this.close} />
            </>
        );
    }
}

export default NavigationDrawer;